# ISL1208-RTC-Library
An Arduino compatible library (will support ESP8266, ESP32 or pretty much any other boards with Arduino support) for Intersil ISL1208 real-time clock IC available in MSOP-8 package. Following are its features.
- Real Time Clock/Calendar
  - Tracks Time in Hours, Minutes, and Seconds
  - Day of the Week, Day, Month, and Year
- 15 Selectable Frequency Outputs
- Single Alarm
   - Settable to the Second, Minute, Hour, Day of the Week, Day, or Month
   - Single Event or Pulse Interrupt Mode
- Automatic Backup to Battery or Super Capacitor
- Power Failure Detection
- On-Chip Oscillator Compensation
- 2 Bytes Battery-Backed User SRAM
- I2C Interface
   - 400kHz Data Transfer Rate
- 400nA Battery Supply Current
- Same Pin Out as ST M41Txx and Maxim DS13xx Devices
- Small Package Options
   - 8 Ld MSOP and SOIC Packages
   - 8 Ld TDFN Package
- Pb-Free Available (RoHS Compliant)

Link to datasheet : https://www.intersil.com/content/dam/intersil/documents/isl1/isl1208.pdf

## Tutorial
A full tutorial of this library is available at my project website - https://www.vishnumaiea.in/projects/hardware/interfacing-intersil-isl1208-rtc-with-arduino
